body {
	display: flex;
	flex-direction: column;
	min-height: 100dvh;
	font-size: 1rem;
	line-height: 1.35;
	background-color: #f8f8ff;
}

.ok_form {
	z-index: 99;
    position: relative;
}

.ok_left_0 {
	left: 0;
}

.no-scroll {
  overflow: hidden !important;
}

.page-wrapper {
	display: contents;
}

.ok_obal {
	flex: 1 0 auto;
}

.ok_odkaz {
	cursor: pointer;
}

.ok_zakaz {
	cursor: default;
}

.ok_odkaz_2 {
	cursor: pointer;
	background: linear-gradient(to right, currentcolor 0%, currentcolor 100%) 0px 95%/0px 1px no-repeat;
	transition: all 500ms ease;
}

.ok_odkaz_2:hover {
	background-size: 100% 1px;
}

.ok_schov {
	display: none;
}

.toast-center-center {
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

#toast-container > div {
	width: auto;
    opacity: 0.93;
}

html {
	font-size: 22px !important;
}

/* VELIKOST OBRAZOVKY: XXL - extra extra large */
@media (min-width: 1400px) {
	html {
		font-size: 22px !important;
	}
}

/* VELIKOST OBRAZOVKY: XL - extra large */
@media (min-width: 1200px) and (max-width: 1399.99px) {
	html {
		font-size: 21px !important;
	}
}


/* VELIKOST OBRAZOVKY: LG - large */
@media (min-width: 992px) and (max-width: 1199.99px) {
	html {
		font-size: 20px !important;
	}
}


/* VELIKOST OBRAZOVKY: MD - medium */
@media (min-width: 768px) and (max-width: 991.99px) {
	html {
		font-size: 19px !important;
	}
}


/* VELIKOST OBRAZOVKY: SM - small */
@media (min-width: 576px) and (max-width: 767.99px) {
	html {
		font-size: 18px !important;
	}
}


/* VELIKOST OBRAZOVKY: XS - extra small */
@media (min-width: 360px) and (max-width: 575.99px) {
	html {
		font-size: 17px !important;
	}
}


@media (min-width: 1px) and (max-width: 359.99px) {
	html {
		font-size: 16px !important;
	}
}

p {
	font-size: 1rem !important;
	line-height: 1.45 !important;
}

.badge {
    font-family: sans-serif;
}

.ok_zluta {
	color: #f6d469 !important;
}

.ok_fialova {
	color: #8c114e !important;
}

.ok_tm_fialova {
	color: #351C42 !important;
}

.ok_cerna {
	color: #000003 !important;
}

.cervena_b {
	color: #198754 !important;
}

.modra_b {
	color: #0d6efd !important;
}

.indigova_b {
	color: #6610f2 !important;
}

.fialova_b {
	color: #6f42c1 !important;
}

.ruzova_b {
	color: #d63384 !important;
}

.oranzova_b {
	color: #fd7e14 !important;
}

.zluta_b {
	color: #ffc107 !important;
}

.modrozelena_b {
	color: #20c997 !important;
}

.cyan_b {
	color: #0dcaf0 !important;
}
	
.hover_z_zluta_do_fialova {
	color: #F6D469 !important;
}

.hover_z_zluta_do_fialova:hover {
	color: #351c42 !important;
}

.hover_z_fialova_do_zluta {
	color: #351c42 !important;
}

.hover_z_fialova_do_zluta:hover {
	color: #F6D469 !important;
}

.bg_fialova {
	background-color: #8c114e !important;
}

.bg_zluta, .btn_rozsir_zluta {
	background-color: #F6D469 !important;
}

.skrt {
  position: relative;
  display: inline-block; /* aby šla čára správně umístit */
  color: #000; /* barva textu */
}

.skrt::before {
    content: "";
    position: absolute;
    top: 47%;
    left: -10px;
    width: 120%;
    height: 4px;
    background-color: #d9122acf;
    transform: rotate(-8deg);
    transform-origin: center;
    pointer-events: none;
}



.box_cerveny {
  background-color: #efece7;
}

.box_sedy {
  background-color: #efece7;
}

.box_stin {
  background-color: #efece7;
  padding: 25px;
  border-radius: 20px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3), 0 1px 3px rgba(0, 0, 0, 0.2);
  transition: box-shadow 0.3s ease;
}

.box_stin:hover {
  box-shadow: 0 10px 15px rgba(0, 0, 0, 0.2), 0 4px 6px rgba(0, 0, 0, 0.1);
}

h1, h2, h3, h4, h5, h6 {
	color: #8c114e !important;
	line-height: 1.35 !important;
	margin-bottom: 0.25rem !important;
}

h1 {
	font-size: 2.2rem !important;
}

h2 {
	font-size: 2.0rem !important;
}

h3 {
	font-size: 1.8rem !important;
}

h4 {
	font-size: 1.6rem !important;
}

h5 {
	font-size: 1.4rem !important;
}

h6 {
	font-size: 1.2rem !important;
}

.ok_12rem {
	font-size: 1.2rem !important;
}

.ok_11rem {
	font-size: 1.1rem !important;
}

.ok_10rem {
	font-size: 1rem !important;
}

.ok_09rem {
	font-size: 0.9rem !important;
}

.ok_08rem {
	font-size: 0.8rem !important;
}

.ok_07rem {
	font-size: 0.7rem !important;
}

.ok_06rem {
	font-size: 0.6rem !important;
}

.ok_05rem {
	font-size: 0.5rem !important;
}

a {
	color: #0d6efd;
}

.ok_section {
    padding-top: 1.2rem !important;
    padding-bottom: 1.2rem !important;
}

.zvetsit_12 {
    transition: transform 0.5s;
}

.zvetsit_12:hover {
    transform: scale(1.2);
}

.zvetsit_11 {
    transition: transform 0.5s;
}

.zvetsit_11:hover {
    transform: scale(1.1);
}

/*
.form-check-input:checked {
    background-color: #8c114e;
    border-color: #8c114e;
}
*/

/*
.ok_btn:hover, 
.ok_btn:focus {
	border-color: var(--hover);
}
*/

.ok_box {
	border-radius: 1rem;
	border: 2px solid #8c114e;
	margin: 0.5rem;
	padding: 0.5rem 1rem;
}

.box_kosik_upozorneni {
	display: inline-block;
	width: auto;
	border: 3px solid #8c114e;
	border-radius: 0.375rem;
	background-color: #ffe4c4;
	padding: 10px 25px;
}

.ok_btn {
	border-radius: 100px;
	border: 2px solid;
	margin: 0.5rem;
	padding: 0.4rem 0.8rem;
	color: var(--color);
	transition: 0.5s;
}

.ok_btn_sm {
	font-size: 0.6rem;
	padding: 0.3rem 0.5rem;
}

.ok_btn_md {
	font-size: 0.8rem;
	padding: 0.4rem 0.6rem;
}

.ok_btn_lg {
	font-size: 1rem;
	padding: 0.5rem 0.7rem;
}

.ok_btn_xl {
	font-size: 1.2rem;
	padding: 0.6rem 0.8rem;
}

.ok_btn_xxl {
	font-size: 1.5rem;
	padding: 0.7rem 1rem;
}

.modal { 
	overflow-y: auto !important; 
}



/* TLAČÍTKA */

.fill:hover,
.fill:focus {
  box-shadow: inset 0 0 0 2em var(--hover);
}

.pulse:hover,
.pulse:focus {
  -webkit-animation: pulse 1s;
          animation: pulse 1s;
  box-shadow: 0 0 0 2em transparent;
}

@-webkit-keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 var(--hover);
  }
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 var(--hover);
  }
}
.close:hover,
.close:focus {
  box-shadow: inset -3.5em 0 0 0 var(--hover), inset 3.5em 0 0 0 var(--hover);
}

.raise:hover,
.raise:focus {
  box-shadow: 0 0.5em 0.5em -0.4em var(--hover);
  transform: translateY(-0.25em);
}

.btn-up-bila {
	background-color: #ffffff; /* normal: pozadí */
  --color: #8c114e; /* normal: text a obrys */
  --hover: #8c114e; /* hover: pozadí */
}

.btn-up-bila:hover,
.btn-up-bila:focus {
	color: #f1f1f1 !important; /* hover: text a obrys */
	box-shadow: inset 0 -3.25em 0 0 var(--hover);
}

.btn_koupit {
	background-color: #ffffff;
  --color: #e6ccac;
  --hover: #ffcc49;
}

.btn_koupit:hover,
.btn_koupit:focus {
	color: #d4bea3 !important;
	box-shadow: inset 0 -3.25em 0 0 var(--hover);
}

.btn-up-fialova {
	background-color: #8c114e;
  --color: #f1f1f1;
  --hover: #ffcc49;
}

.btn-up-fialova:hover,
.btn-up-fialova:focus {
	color: #8c114e !important;
	box-shadow: inset 0 -3.25em 0 0 var(--hover);
}

.offset {
  box-shadow: 0.3em 0.3em 0 0 var(--color), inset 0.3em 0.3em 0 0 var(--color);
}
.offset:hover, .offset:focus {
  box-shadow: 0 0 0 0 var(--hover), inset 6em 3.5em 0 0 var(--hover);
}

.fill {
  --color: #a972cb;
  --hover: #cb72aa;
}

.pulse {
  --color: #ef6eae;
  --hover: #ef8f6e;
}

.close {
  --color: #ff7f82;
  --hover: #ffdc7f;
}

.raise {
  --color: #ffa260;
  --hover: #e5ff60;
}

.slide {
  --color: #8fc866;
  --hover: #66c887;
}

.offset {
  --color: #19bc8b;
  --hover: #1973bc;
}

.div_kosik_lahev {
	width: 50px;
}

.ok_max_w_50 {
	width: 100%;
	max-width: 50px;
}

.ok_max_w_300 {
	width: 100%;
	max-width: 300px;
}

#spojnice {
	position: absolute;
	height: 3px;
    background: #e0e0e0;
    width: 80%;
    margin: 0 auto;
    left: 0;
    right: 0;
    top: 65%;
    z-index: 1;
}

.ruian-helper .list-group .li_adresa + .selected, 
.ruian-helper .list-group .list-group-item + .li_adresa:hover {
	background-color: #faebd7 !important;
}


input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: inner-spin-button !important; /* Nebo unset */
  display: block !important; /* případně */
}

input[type=number] {
  -moz-appearance: textfield !important; /* Firefox */
  appearance: auto !important;
}

.ok_table_kosik_udaje th {
	padding: .2rem .2rem ;
	text-align: right;
	font-weight: normal;
}

.ok_table_kosik_udaje td {
	padding: .2rem .2rem;
	text-align: left;
	font-weight: 600;
}

/* 
 ÚPRAVA ŠABLONY 
*/
.inner-banner {
    padding: 120px 0 40px;
}

.cart-sidebar-list {
    height: 85%;
	overflow: auto !important;
    /*
	background-color: #faebd7a8;
    border-radius: 1rem;
	*/
}

.main-navigation .menu li a {
    text-transform: none;
    font-size: 1rem;
}

.header-menu {
	z-index: 100;
}

label {
    font-size: 1rem !important;
}
